# Paramètre de type information

## Les informations de la configuration

Le paramètre peut être la valeur est issue d'une information de la configuration :

```xml
<param type="information">server_name</param>
```

En YAML :

```yml
param:
- type: information
  text: server_name
```

Dans ce cas, l'information de la configuration "server_name" sera utilisé comme valeur du paramètre.
Si l'information n'existe pas, la paramètre aura la valeur "None" ou [] pour une variable multiple.

## Les informations d'une variable

Le paramètre peut être la valeur est issue d'une information d'une variable :

```xml
<param type="information" variable="a_variable">test</param>
<param type="information" variable="a_variable">help</param>
```

En YAML :

```yml
param:
- type: information
  variable: a_variable
  text: test
- type: information
  variable: a_variable
  text: help
```

Dans ce cas, l'information de la variable "a_variable" "test" ou "help" sera utilisée comme valeur du paramètre.
Si l'information n'existe pas, la paramètre aura la valeur "None" ou [] pour une variable multiple.

## Les informations de la cible

Le paramètre peut être la valeur est issue d'une information de la cible du calcul (la target) :

```xml
<param type="information" variable="target_variable">test</param>
<param type="information" variable="target_variable">help</param>
```

En YAML :

```yml
param:
- type: information
  variable: target_variable
  text: test
- type: information
  variable: target_variable
  text: help
```

Dans ce cas, l'information de la variable de la cible (target_variable) "test" ou "help" sera utilisée comme valeur du paramètre.
Si l'information n'existe pas, la paramètre aura la valeur "None" ou [] pour une variable multiple.
